Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041198
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Localization Pack: Spain] Multi Dimensional Tax Reportmajorhave not tried2019-06-27 18:052019-08-13 12:21
ReportershuehnerView Statuspublic 
Assigned Tocollazoandy4 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision2bbba847a610
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Review Assigned ToSandrahuguet
Regression introduced in release
Summary

0041198: OBMTR30InvoiceTaxReportDao is not using bind-param.

DescriptionThis class has lots of cases not using bind-parameters for values both for simple value and list of value (n clauses).

Note: that setParameterList allows for easy use if lists directly.

Example can be in i.e. issue: 40580
Steps To Reproduce-
Proposed SolutionRewrite queries using bind-parameters for value.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0041467 closedcollazoandy4 Localization Pack: Spain Apply HQL style guide to OBMTR30InvoiceTaxReportDao 
blocks design defect 0038136 acknowledgedplatform Openbravo ERP Tracking issue: Find & Fix queries not using bind-params but embedding values into query string 

-  Notes
(0113184)
shuehner (administrator)
2019-07-04 16:24

NOTE: Same bug exists also in .cashvat module of this same report. Please also fix there
(0113741)
collazoandy4 (developer)
2019-07-31 17:34

Test Plan
  Go to Multidimensional Tax Report and set
    From Date: 01-07-2018
    To Date: today
    Organization: F&B International Group Admin
    Business Partner: Bebidas Alegres, S.L, and Generaci├│n El├ęctrica, S.A
    Tax Type: Tax
    Tax Rate: Adquisiciones IVA 21%
    Transaction Type: Purchase/Payments transactions
    Clic on HTML Format button and check the report is shown
    Clear BP filter and set: Moon Light Restaurants, Co.
    Tax Rate: CA Sales Tax - US State Sales
    Clic on HTML Format button and check the report is shown

Test Plan II
  Run the previous test plan for Multidimensional Tax Report Cash VAT
(0113948)
hgbot (developer)
2019-08-12 13:23

Repository: erp/pmods/org.openbravo.module.invoiceTaxReportEnhanced30
Changeset: 2bbba847a610ce0e31eed7ed8e62f73b2e0a4820
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Tue Jul 30 09:57:52 2019 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.module.invoiceTaxReportEnhanced30/rev/2bbba847a610ce0e31eed7ed8e62f73b2e0a4820 [^]

Fixes issue 41198: OBMTR30InvoiceTaxReportDao is not using bind-param.

Added missing bind-parameters

---
M src/org/openbravo/module/invoiceTaxReportEnhanced30/ad_reports/OBMTR30InvoiceTaxReportDao.java
---
(0113949)
hgbot (developer)
2019-08-12 13:23

Repository: erp/pmods/org.openbravo.module.invoiceTaxReportEnhanced30
Changeset: dd8937209a5b925cc0d570abbbdd4a16f8736af8
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Mon Aug 12 12:52:52 2019 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.module.invoiceTaxReportEnhanced30/rev/dd8937209a5b925cc0d570abbbdd4a16f8736af8 [^]

related to issue 41198 added IsIDFilter validation to currency param

---
M src/org/openbravo/module/invoiceTaxReportEnhanced30/ad_reports/OBMTR30_InvoiceTaxReportJR.java
---
(0113974)
hgbot (developer)
2019-08-13 12:16

Repository: erp/pmods/org.openbravo.module.invoiceTaxReportEnhanced30.cashvat
Changeset: c9f13b7bd0750b695779082a936e1732e986cc14
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Tue Jul 30 11:05:39 2019 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.module.invoiceTaxReportEnhanced30.cashvat/rev/c9f13b7bd0750b695779082a936e1732e986cc14 [^]

Related to issue 41198: OBMTRCVInvoiceTaxReportDao is not using bind-param.

Added missing bind-parameters

---
M src/org/openbravo/module/invoiceTaxReportEnhanced30/cashvat/ad_reports/OBMTRCVInvoiceTaxReportDao.java
---
(0113975)
hgbot (developer)
2019-08-13 12:16

Repository: erp/pmods/org.openbravo.module.invoiceTaxReportEnhanced30.cashvat
Changeset: 882bbf770868dc77eabb673fb55ea94793f5798b
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Tue Aug 13 12:13:20 2019 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.module.invoiceTaxReportEnhanced30.cashvat/rev/882bbf770868dc77eabb673fb55ea94793f5798b [^]

related to issue 41198 apply formater

---
M src/org/openbravo/module/invoiceTaxReportEnhanced30/cashvat/ad_reports/OBMTRCV_InvoiceTaxReportJR.java
---
(0113976)
hgbot (developer)
2019-08-13 12:16

Repository: erp/pmods/org.openbravo.module.invoiceTaxReportEnhanced30.cashvat
Changeset: c001d52cfb97c43aaf2b7e07b937d4fc55715b93
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Tue Aug 13 12:14:34 2019 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.module.invoiceTaxReportEnhanced30.cashvat/rev/c001d52cfb97c43aaf2b7e07b937d4fc55715b93 [^]

related to issue 41198 added IsIDFilter validation to currency param in casvat module

---
M src/org/openbravo/module/invoiceTaxReportEnhanced30/cashvat/ad_reports/OBMTRCV_InvoiceTaxReportJR.java
---
(0113977)
hgbot (developer)
2019-08-13 12:20

Repository: erp/pmods/org.openbravo.module.invoiceTaxReportEnhanced30
Changeset: 251cb539621b973b160d86e968e79e8242e61af3
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Tue Aug 13 12:20:19 2019 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.module.invoiceTaxReportEnhanced30/rev/251cb539621b973b160d86e968e79e8242e61af3 [^]

related to issue 41198 apply formater

---
M src/org/openbravo/module/invoiceTaxReportEnhanced30/ad_reports/OBMTR30_InvoiceTaxReportJR.java
---
(0113978)
Sandrahuguet (developer)
2019-08-13 12:21

code review + testing ok

- Issue History
Date Modified Username Field Change
2019-06-27 18:05 shuehner New Issue
2019-06-27 18:05 shuehner Assigned To => psanjuan
2019-06-27 18:06 shuehner Relationship added blocks 0038136
2019-07-04 16:24 shuehner Note Added: 0113184
2019-07-04 16:47 shuehner Assigned To psanjuan => Triage Finance
2019-07-05 15:16 psanjuan Assigned To Triage Finance => Opentix-Test
2019-07-26 08:20 dmiguelez Assigned To Opentix-Test => collazoandy4
2019-07-26 17:05 collazoandy4 Status new => scheduled
2019-07-31 17:34 collazoandy4 Note Added: 0113741
2019-08-12 13:23 hgbot Checkin
2019-08-12 13:23 hgbot Note Added: 0113948
2019-08-12 13:23 hgbot Status scheduled => resolved
2019-08-12 13:23 hgbot Resolution open => fixed
2019-08-12 13:23 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.module.invoiceTaxReportEnhanced30/rev/2bbba847a610ce0e31eed7ed8e62f73b2e0a4820 [^]
2019-08-12 13:23 hgbot Checkin
2019-08-12 13:23 hgbot Note Added: 0113949
2019-08-13 12:16 hgbot Checkin
2019-08-13 12:16 hgbot Note Added: 0113974
2019-08-13 12:16 hgbot Checkin
2019-08-13 12:16 hgbot Note Added: 0113975
2019-08-13 12:16 hgbot Checkin
2019-08-13 12:16 hgbot Note Added: 0113976
2019-08-13 12:20 hgbot Checkin
2019-08-13 12:20 hgbot Note Added: 0113977
2019-08-13 12:20 Sandrahuguet Relationship added related to 0041467
2019-08-13 12:21 Sandrahuguet Review Assigned To => Sandrahuguet
2019-08-13 12:21 Sandrahuguet Note Added: 0113978
2019-08-13 12:21 Sandrahuguet Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker